godo.Kubernetes.DeleteNode()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Kubernetes.DeleteNode(ctx context.Context, clusterID string, poolID string, nodeID string, deleteReq *godo.KubernetesNodeDeleteRequest) (*godo.Response, error)

Description

DeleteNode deletes a specific node in a node pool.

This method sends a DELETE request to /v2/kubernetes/clusters/{}/node_pools/{}/nodes/{}.

Parameters

clusterID string required
poolID string required
nodeID string required
deleteReq *godo.KubernetesNodeDeleteRequest required

Fields of godo.KubernetesNodeDeleteRequest

KubernetesNodeDeleteRequest is a request to delete a specific node in a node pool.

Replace bool

Replace will cause a new node to be created to replace the deleted node.

Omitted from JSON when empty. JSON key: replace

SkipDrain bool

SkipDrain skips draining the node before deleting it.

Omitted from JSON when empty. JSON key: skip_drain

Returns

*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.Response

Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.

Response *http.Response
Links *godo.Links

Links that were returned with the response. These are parsed from
request body and not the header.

Meta *godo.Meta

Meta describes generic information about the response.

Monitor string

Monitoring URI

Rate godo.Rate

Request Sample

Show Request Sample
package main

import (
	"context"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	_, err := client.Kubernetes.DeleteNode(ctx, "<your-cluster-id>", "<your-pool-id>", "<your-node-id>", &godo.KubernetesNodeDeleteRequest{})
	if err != nil {
		log.Fatal(err)
	}
}

More Information

See DELETE /v2/kubernetes/clusters/{}/node_pools/{}/nodes/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.